package com.qmth.themis.business.util;

import com.qmth.themis.business.domain.TencentYunDomain;
import com.qmth.themis.business.domain.WxappDomain;
import com.tencentyun.TLSSigAPIv2;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

/**
 * @Description: 腾讯云util
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/21
 */
@Component
public class WxappUtil {

    private WxappDomain wxappDomain;

    @Bean
    public WxappDomain wxappEnv(WxappDomain wxappDomain) {
        this.wxappDomain = new WxappDomain(wxappDomain.getUrl());
        return this.wxappDomain;
    }

    public WxappDomain getWxappDomain() {
        return wxappDomain;
    }
}
